
QGIS Application - Bug report #15988

Storm of signal related backtraces when switching to "Style manager" tab in "Layer Styling" dock

2016-12-16 07:05 AM - Even Rouault

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23904

Description

Context: Layer styling dock opened on a vector layer.

Switching from any tab to the "Style manager" one causes the following stacktraces to be displayed and a delay of roughly 0.5 to 1 second

for the tab to be displayed:

Warning: QObject::connect: No such slot QgsMapLayerStyleManagerWidget::updateCurrent() in

/home/even/qgis/QGIS/src/gui/qgsmaplayerstylemanagerwidget.cpp:64

Stacktrace (piped through c++filt):

output/bin/qgis[0x40b611]

output/bin/qgis[0x40c153]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x914c6)[0x7f667c0d34c6]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xac)[0x7f667c0d428c]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x2b1cd3)[0x7f667c2f3cd3]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QObject::connect(QObject const*, char const*, QObject const*, char const*,

Qt::ConnectionType)+0x4cf)[0x7f667c2fd56f]

/home/even/qgis/QGIS/build/output/lib/libqgis_gui.so.2.99.0(QgsMapLayerStyleManagerWidget::QgsMapLayerStyleManagerWidget(Q

sMapLayer*, QgsMapCanvas*, QWidget*)+0xcc9)[0x7f6680654c6d]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(QgsLayerStyleManagerWidgetFactory::createWidget(QgsMapLayer*,

QgsMapCanvas*, bool, QWidget*) const+0x68)[0x7f6681fc8006]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(QgsLayerStylingWidget::updateCurrentWidgetLayer()+0x4b5)[0x7f6681fc

e89]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(+0xfe201c)[0x7f668262101c]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x7ea)[0x7f667c2f6d2a]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QListWidget::currentRowChanged(int)+0x41)[0x7f667ce77861]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x4183e0)[0x7f667ce783e0]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x7ea)[0x7f667c2f6d2a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QItemSelectionModel::currentChanged(QModelIndex const&, QModelIndex

const&)+0x3a)[0x7f667c278d8a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QItemSelectionModel::setCurrentIndex(QModelIndex const&,

QFlags<QItemSelectionModel::SelectionFlag>)+0xb0)[0x7f667c279010]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAbstractItemView::mousePressEvent(QMouseEvent*)+0x43c)[0x7f667ce1af7c]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QWidget::event(QEvent*)+0xaaf)[0x7f667cbfe3cf]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QFrame::event(QEvent*)+0x1e)[0x7f667ccfcb4e]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAbstractItemView::viewportEvent(QEvent*)+0x19b)[0x7f667ce225bb]

src/core/qgsmessagelog.cpp: 45: (logMessage) [5560ms] 2016-12-16T16:03:53 Qt

1

 QObject::connect: No such slot

QgsMapLayerStyleManagerWidget::updateCurrent() in /home/even/qgis/QGIS/src/gui/qgsmaplayerstylemanagerwidget.cpp:64

Warning: QObject::connect:  (sender name:   'theMapCanvas')

Stacktrace (piped through c++filt):

output/bin/qgis[0x40b611]
output/bin/qgis[0x40c153]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x914c6)[0x7f667c0d34c6]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xac)[0x7f667c0d428c]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x2b2937)[0x7f667c2f4937]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QObject::connect(QObject const*, char const*, QObject const*, char const*,

Qt::ConnectionType)+0x4e1)[0x7f667c2fd581]

/home/even/qgis/QGIS/build/output/lib/libqgis_gui.so.2.99.0(QgsMapLayerStyleManagerWidget::QgsMapLayerStyleManagerWidget(Q

sMapLayer*, QgsMapCanvas*, QWidget*)+0xcc9)[0x7f6680654c6d]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(QgsLayerStyleManagerWidgetFactory::createWidget(QgsMapLayer*,

QgsMapCanvas*, bool, QWidget*) const+0x68)[0x7f6681fc8006]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(QgsLayerStylingWidget::updateCurrentWidgetLayer()+0x4b5)[0x7f6681fc

e89]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(+0xfe201c)[0x7f668262101c]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x7ea)[0x7f667c2f6d2a]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QListWidget::currentRowChanged(int)+0x41)[0x7f667ce77861]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x4183e0)[0x7f667ce783e0]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x7ea)[0x7f667c2f6d2a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QItemSelectionModel::currentChanged(QModelIndex const&, QModelIndex

const&)+0x3a)[0x7f667c278d8a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QItemSelectionModel::setCurrentIndex(QModelIndex const&,

QFlags<QItemSelectionModel::SelectionFlag>)+0xb0)[0x7f667c279010]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAbstractItemView::mousePressEvent(QMouseEvent*)+0x43c)[0x7f667ce1af7c]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QWidget::event(QEvent*)+0xaaf)[0x7f667cbfe3cf]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QFrame::event(QEvent*)+0x1e)[0x7f667ccfcb4e]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAbstractItemView::viewportEvent(QEvent*)+0x19b)[0x7f667ce225bb]

src/core/qgsmessagelog.cpp: 45: (logMessage) [312ms] 2016-12-16T16:03:53 Qt

1

 QObject::connect:  (sender name:   'theMapCanvas')

Warning: QObject::connect: No such signal QgsMapLayerStyleManager::styleremoved( QString ) in

/home/even/qgis/QGIS/src/gui/qgsmaplayerstylemanagerwidget.cpp:75

Stacktrace (piped through c++filt):

output/bin/qgis[0x40b611]

output/bin/qgis[0x40c153]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x914c6)[0x7f667c0d34c6]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xac)[0x7f667c0d428c]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x2b1cd3)[0x7f667c2f3cd3]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QObject::connect(QObject const*, char const*, QObject const*, char const*,

Qt::ConnectionType)+0x6e5)[0x7f667c2fd785]

/home/even/qgis/QGIS/build/output/lib/libqgis_gui.so.2.99.0(QgsMapLayerStyleManagerWidget::QgsMapLayerStyleManagerWidget(Q

sMapLayer*, QgsMapCanvas*, QWidget*)+0x1323)[0x7f66806552c7]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(QgsLayerStyleManagerWidgetFactory::createWidget(QgsMapLayer*,

QgsMapCanvas*, bool, QWidget*) const+0x68)[0x7f6681fc8006]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(QgsLayerStylingWidget::updateCurrentWidgetLayer()+0x4b5)[0x7f6681fc

e89]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(+0xfe201c)[0x7f668262101c]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x7ea)[0x7f667c2f6d2a]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QListWidget::currentRowChanged(int)+0x41)[0x7f667ce77861]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x4183e0)[0x7f667ce783e0]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x7ea)[0x7f667c2f6d2a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QItemSelectionModel::currentChanged(QModelIndex const&, QModelIndex

const&)+0x3a)[0x7f667c278d8a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QItemSelectionModel::setCurrentIndex(QModelIndex const&,

QFlags<QItemSelectionModel::SelectionFlag>)+0xb0)[0x7f667c279010]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAbstractItemView::mousePressEvent(QMouseEvent*)+0x43c)[0x7f667ce1af7c]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QWidget::event(QEvent*)+0xaaf)[0x7f667cbfe3cf]
/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QFrame::event(QEvent*)+0x1e)[0x7f667ccfcb4e]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAbstractItemView::viewportEvent(QEvent*)+0x19b)[0x7f667ce225bb]

src/core/qgsmessagelog.cpp: 45: (logMessage) [336ms] 2016-12-16T16:03:53 Qt

1

 QObject::connect: No such signal

QgsMapLayerStyleManager::styleremoved( QString ) in /home/even/qgis/QGIS/src/gui/qgsmaplayerstylemanagerwidget.cpp:75

Warning: QObject::connect: No such signal QgsMapLayerStyleManagerWidget::widgetChanged( QgsPanelWidget* ) in

/home/even/qgis/QGIS/src/app/qgslayerstylingwidget.cpp:335

Stacktrace (piped through c++filt):

output/bin/qgis[0x40b611]

output/bin/qgis[0x40c153]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x914c6)[0x7f667c0d34c6]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xac)[0x7f667c0d428c]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x2b1cd3)[0x7f667c2f3cd3]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QObject::connect(QObject const*, char const*, QObject const*, char const*,

Qt::ConnectionType)+0x6e5)[0x7f667c2fd785]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(QgsLayerStylingWidget::updateCurrentWidgetLayer()+0x592)[0x7f6681fc

f66]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(+0xfe201c)[0x7f668262101c]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x7ea)[0x7f667c2f6d2a]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QListWidget::currentRowChanged(int)+0x41)[0x7f667ce77861]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x4183e0)[0x7f667ce783e0]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x7ea)[0x7f667c2f6d2a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QItemSelectionModel::currentChanged(QModelIndex const&, QModelIndex

const&)+0x3a)[0x7f667c278d8a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QItemSelectionModel::setCurrentIndex(QModelIndex const&,

QFlags<QItemSelectionModel::SelectionFlag>)+0xb0)[0x7f667c279010]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAbstractItemView::mousePressEvent(QMouseEvent*)+0x43c)[0x7f667ce1af7c]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QWidget::event(QEvent*)+0xaaf)[0x7f667cbfe3cf]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QFrame::event(QEvent*)+0x1e)[0x7f667ccfcb4e]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAbstractItemView::viewportEvent(QEvent*)+0x19b)[0x7f667ce225bb]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*,

QEvent*)+0x102)[0x7f667c2c8172]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x6c)[0x7f667cbbb03c]

src/core/qgsmessagelog.cpp: 45: (logMessage) [323ms] 2016-12-16T16:03:54 Qt

1

 QObject::connect: No such signal

QgsMapLayerStyleManagerWidget::widgetChanged( QgsPanelWidget* ) in

/home/even/qgis/QGIS/src/app/qgslayerstylingwidget.cpp:335

Warning: QObject::connect:  (receiver name: 'QgsLayerStylingWidgetBase')

Stacktrace (piped through c++filt):

output/bin/qgis[0x40b611]

output/bin/qgis[0x40c153]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x914c6)[0x7f667c0d34c6]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xac)[0x7f667c0d428c]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x2b27c9)[0x7f667c2f47c9]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QObject::connect(QObject const*, char const*, QObject const*, char const*,

Qt::ConnectionType)+0x6f7)[0x7f667c2fd797]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(QgsLayerStylingWidget::updateCurrentWidgetLayer()+0x592)[0x7f6681fc

f66]

/home/even/qgis/QGIS/build/output/lib/libqgis_app.so.2.99.0(+0xfe201c)[0x7f668262101c]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x7ea)[0x7f667c2f6d2a]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QListWidget::currentRowChanged(int)+0x41)[0x7f667ce77861]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x4183e0)[0x7f667ce783e0]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x7ea)[0x7f667c2f6d2a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QItemSelectionModel::currentChanged(QModelIndex const&, QModelIndex

const&)+0x3a)[0x7f667c278d8a]
/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QItemSelectionModel::setCurrentIndex(QModelIndex const&,

QFlags<QItemSelectionModel::SelectionFlag>)+0xb0)[0x7f667c279010]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAbstractItemView::mousePressEvent(QMouseEvent*)+0x43c)[0x7f667ce1af7c]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QWidget::event(QEvent*)+0xaaf)[0x7f667cbfe3cf]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QFrame::event(QEvent*)+0x1e)[0x7f667ccfcb4e]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QAbstractItemView::viewportEvent(QEvent*)+0x19b)[0x7f667ce225bb]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*,

QEvent*)+0x102)[0x7f667c2c8172]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x6c)[0x7f667cbbb03c]

src/core/qgsmessagelog.cpp: 45: (logMessage) [334ms] 2016-12-16T16:03:54 Qt

1

 QObject::connect:  (receiver name:

'QgsLayerStylingWidgetBase')

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-01-15 01:58 AM - Nyall Dawson

- Status changed from Open to Closed

- Description updated

No longer reproducible
